Subject: lap top battery dell 7500

From: "j reed" <[email-masked]>
Date: Thu, 17 Aug 2006 16:18:03 -0700

Hi
I have two of those. One is still manageble while the second one is
still relatively new but i am not too sure if it is still available at
the moment.I will need to confirm from my brother if he hasn't dashed it
to someone else.I will call him later to confirm and i will get back to
you if it's still available.Try and remind me further.
-- 
  j reed
  [email-masked]

-- 
http://www.fastmail.fm - Choose from over 50 domains or use your own